Package net.shibboleth.idp.saml.xmlobject.impl

# Class ScopedValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSAnyImpl
net.shibboleth.idp.saml.xmlobject.impl.ScopedValueImpl

All Implemented Interfaces:
  `ScopedValue`, `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XSAny`, `XMLObject`, `SAMLObject`

@NotThreadSafe public class ScopedValueImpl extends XSAnyImpl implements ScopedValue
Concrete implementation of `ScopedValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`scope`
Scope of this string element.
`private String`
`scopeAttributeName`
Scope attribute name for this element.

### Fields inherited from interface net.shibboleth.idp.saml.xmlobject.ScopedValue

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSAny

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScopedValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getScope()`
Gets the scope value.
`String`
`getScopeAttributeName()`
Gets the name of the scope attribute.
`String`
`getValue()`
Get the attribute value.
`void`
`setScope(String newScope)`
Sets the scope value.
`void`
`setScopeAttributeName(String newScopeAttributeName)`
Sets the name of the scope attribute.
`void`
`setValue(String newValue)`
Set the attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSAnyImpl

`getOrderedChildren, getTextContent, getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects, setTextContent`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### scope

@Nullable private String scope
Scope of this string element.

### scopeAttributeName

@Nullable private String scopeAttributeName
Scope attribute name for this element.

## Constructor Details

### ScopedValueImpl

protected ScopedValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getScope

@Nullable public String getScope()
Gets the scope value.

Specified by:
  `getScope` in interface `ScopedValue`
Returns:
  scope value

### getScopeAttributeName

@Nullable public String getScopeAttributeName()
Gets the name of the scope attribute.

Specified by:
  `getScopeAttributeName` in interface `ScopedValue`
Returns:
  name of the scope attribute

### setScope

public void setScope(@Nullable String newScope)
Sets the scope value.

Specified by:
  `setScope` in interface `ScopedValue`
Parameters:
  `newScope` - scope value

### setScopeAttributeName

public void setScopeAttributeName(@Nullable String newScopeAttributeName)
Sets the name of the scope attribute.

Specified by:
  `setScopeAttributeName` in interface `ScopedValue`
Parameters:
  `newScopeAttributeName` - name of the scope attribute

### getValue

@Nullable public String getValue()
Get the attribute value.

Specified by:
  `getValue` in interface `ScopedValue`
Returns:
  the attribute value.

### setValue

public void setValue(@Nullable String newValue)
Set the attribute value.

Specified by:
  `setValue` in interface `ScopedValue`
Parameters:
  `newValue` - the new attribute value